AddText

Adds a text string to the document.

Syntax

Rhino.AddText (strText, arrPoint [, dblHeight [, strFont [, intStyle [, intJustification]]]])

Rhino.AddText (strText, arrPlane [, dblHeight [, strFont [, intStyle [, intJustification]]]])

Parameters

strText

Required. String.  The text to display.

arrPoint

Required.  Array.  A 3-D point.

arrPlane

Required.  Array.  The plane on which the text will lie.  The origin of the plane will be the origin point of the text.

dblHeight

Optional.  Number.  The text height.  If omitted, a height of 1.0 units is used.

strFont

Optional.  String.  The text font.  If omitted, the Arial font is used.

intStyle

Optional. Number.  The font style.  If omitted, a normal font style (0) is used.  The font style can be any number of the following flags:

Value

Description

0

Normal

1

Bold

2

Italic

intJustification

Optional. Number.  The justification.  If omitted, a Bottom-Left justification (0) is used.  The justification can be any number of the following flags:

Value

Description

0

Bottom-Left

1

Bottom-Center

2

Bottom-Right

3

Middle-Left

4

Middle-Center

5

Middle-Right

6

Top-Left

7

Top-Middle

8

Top-Right

Returns

String

The identifier of the new object if successful.

Null

If not successful, or on error.

Example

Dim arrPoint

arrPoint = Rhino.GetPoint("Pick point")

If IsArray(arrPoint) Then

Rhino.AddText "Hello Rhino!", arrPoint

End If

Also See

IsText